import { handle } from '../../index'

const suffix = 'api'

// 归属插件
export const sysPluginGetAllPlugins = () => handle({
  url: `/${suffix}/sysPlugin/getAllPlugins`,
  method: 'get',
})
// 解析插件
export const sysPluginGetAllParsePlugins = () => handle({
  url: `/${suffix}/sysPlugin/getAllParsePlugins`,
  method: 'get',
})
// 新增|编辑
export const outsideServiceSaveOrUpdate = (params: any) => handle({
  url: `/${suffix}/api/outsideService/saveOrUpdate`,
  method: 'post',
  params
})
// 分页查询
export const outsideServiceFindByPage = (params: any) => handle({
  url: `/${suffix}/api/outsideService/findByPage`,
  method: 'get',
  params
})
// 启用|停用
export const outsideServiceStatusUpdate = (params: any) => handle({
  url: `/${suffix}/api/outsideService/statusUpdate`,
  method: 'get',
  params
})
// 详情
export const outsideServiceFindById = (id: any) => handle({
  url: `/${suffix}/api/outsideService/findById/${id}`,
  method: 'get',
})
// 删除
export const outsideServiceDelete = (id: any) => handle({
  url: `/${suffix}/api/outsideService/delete/${id}`,
  method: 'get',
})
// 主题
export const outsideServiceTheme = (id: any) => handle({
  url: `/${suffix}/api/outsideService/theme/${id}`,
  method: 'get',
})
